---
title: "Transição de chave OpenPGP"
type: posts
draft: true
categories:
  - Segurança da informação
tags:
  - OpenPGP
toc: true
markup:
  tableOfContents:
    endLevel: 3
    ordered: true
    startLevel: 1
---

## Motivação

Meu certificado OpenPGP atual (vulgo "chave") completará 12 anos em 2024 e
quero realizar uma transição para:

- Usar algoritmos criptográficos mais modernos (mais rápidos e com chaves
  menores).
- Estabelecer um protocolo formal de backup do material criptográfico.
- Evitar que a nova chave privada seja fique exposta à Internet.

## Referências

  - [Anarcat's "OpenPGP key transition"](https://anarc.at/blog/2023-08-09-openpgp-key-transition/)
  - [DKG's "New OpenPGP certificate for dkg, 2021"](https://dkg.fifthhorseman.net/blog/2021-dkg-openpgp-transition.html)
  - [Riseup's "Key transition" example](https://riseup.net/en/security/message-security/openpgp/key-transition)
